# Class CIM_OSPFLink
extends CIM_ConnectivityCollection

This class is used to represent OSPF connectivity between two or more OSPF protocol endpoints.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_ConnectivityCollection
|
+--CIM_OSPFLink

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class is used to represent OSPF connectivity between two or more OSPF protocol endpoints.
UMLPackagePath | string | CIM::Network::OSPF
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
HelloInterval | uint32 |
Description | string | The time, in seconds, between sending OSPF Hello-packets over the interface, see section C.3 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfHelloInterval
Units | string | Seconds
LinkType | uint16 |
Description | string | The type of the OSPF link, see section 1.2 in RFC 2328.
Required | boolean | true
ValueMap | string | 2, 3, 4, 5
Values | string | Point-To-Point, Point-To-Multipoint, Broadcast, NBMA
MulticastForwarding | uint16 |
Description | string | This parameter indicates whether IP multicast datagrams should be forwarded over this OSPF link, and if so, how the forwarding should be done, see section B.2 in RFC 1584.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfMulticastForwarding
Required | boolean | true
ValueMap | string | 2, 3, 4
Values | string | Disabled, Data-link Multicast, Data-link Unicast
RouterDeadInterval | uint32 |
Description | string | After ceasing to hear a router's Hello-packets, the number of seconds before its neighbors declare the router down, see section C.3 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfRtrDeadInterval
Units | string | Seconds

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ConnectivityStatus | uint16 | CIM_ConnectivityCollection
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods